unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    Edit1: TEdit;
    Memo1: TMemo;
    procedure Edit1Enter(Sender: TObject);
    procedure Edit1Exit(Sender: TObject);
    procedure Memo1Enter(Sender: TObject);
    procedure Memo1Exit(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure ShowData_edit_box(Data: string);
    procedure ShowData_memo_box(Data: string);
  end;

var
  Form1: TForm1;

implementation

uses BarScanT;

{$R *.DFM}

var
  BarScanThread: TBarScanThread;

procedure TForm1.ShowData_edit_box(Data: string);
begin
  edit1.text := data;
end;

procedure TForm1.ShowData_memo_box(Data: string);
begin
  Memo1.Lines.Insert(0, Data);
end;

procedure TForm1.Edit1Enter(Sender: TObject);
begin
  BarScanThread := TBarScanThread.Create(1, ShowData_edit_box);
end;

procedure TForm1.Edit1Exit(Sender: TObject);
begin
  BarScanThread.Free;
end;

procedure TForm1.Memo1Enter(Sender: TObject);
begin
  BarScanThread := TBarScanThread.Create(1, ShowData_memo_box);
end;

procedure TForm1.Memo1Exit(Sender: TObject);
begin
  BarScanThread.Free;
end;

end.
